com.trendmicro.ds.antimalware.rest.api

## Interface IWidgetsAPI

-     @Path(value="/widgets/antimalware")
      public interface IWidgetsAPI

  Widget API for antimalware and web reputation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BarDataListing` | `getMalwareHistoryWidget(java.lang.String sessionId, int timescale)` Get Anti-Malware events history data based on AntiMalwareHistoryWidget
    `CounterMalwareDetectedListing` | `getTop5MalwareDetectedWidget(java.lang.String sessionId, int timescale)` Get Top 5 detected Malware based on Top5MalwareDetectedWidget
    `CounterWebReputationUrlListing` | `getTop5UrlsForWebReputationWidget(java.lang.String sessionId, int timescale)` Get Top 5 Web Reputation URL Activity based on Top5UrlsForWebReputationWidget
    `BarDataListing` | `getWebReputationHistoryWidget(java.lang.String sessionId, int timescale)` Get Web Reputation events history data based on WebReputationHistoryWidget

- - ### Method Detail

    - #### getTop5MalwareDetectedWidget

          @GET
           @Path(value="/top5MalwareDetectedWidget")
           @Produces(value={"application/json","application/xml"})
          CounterMalwareDetectedListing getTop5MalwareDetectedWidget(@QueryParam(value="sID")
                                                                                                                                                                              java.lang.String sessionId,
                                                                                                                                                                              @QueryParam(value="timescale")
                                                                                                                                                                              int timescale)
                                                                                                                                                                       throws java.lang.Exception

      Get Top 5 detected Malware based on Top5MalwareDetectedWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterMalwareDetectedListing, a collection of the top 5 detected malware.
      Throws:
        `java.lang.Exception`

    - #### getTop5UrlsForWebReputationWidget

          @GET
           @Path(value="/top5UrlsForWebReputationWidget")
           @Produces(value={"application/json","application/xml"})
          CounterWebReputationUrlListing getTop5UrlsForWebReputationWidget(@QueryParam(value="sID")
                                                                                                                                                                                         java.lang.String sessionId,
                                                                                                                                                                                         @QueryParam(value="timescale")
                                                                                                                                                                                         int timescale)
                                                                                                                                                                                  throws java.lang.Exception

      Get Top 5 Web Reputation URL Activity based on Top5UrlsForWebReputationWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterWebReputationUrlListing, a collection of the top 5 detected urls.
      Throws:
        `java.lang.Exception`

    - #### getMalwareHistoryWidget

          @GET
           @Path(value="/malwareHistoryWidget")
           @Produces(value={"application/json","application/xml"})
          BarDataListing getMalwareHistoryWidget(@QueryParam(value="sID")
                                                                                                                                                     java.lang.String sessionId,
                                                                                                                                                     @QueryParam(value="timescale")
                                                                                                                                                     int timescale)
                                                                                                                                              throws java.lang.Exception

      Get Anti-Malware events history data based on AntiMalwareHistoryWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

    - #### getWebReputationHistoryWidget

          @GET
           @Path(value="/webReputationHistoryWidget")
           @Produces(value={"application/json","application/xml"})
          BarDataListing getWebReputationHistoryWidget(@QueryParam(value="sID")
                                                                                                                                                                 java.lang.String sessionId,
                                                                                                                                                                 @QueryParam(value="timescale")
                                                                                                                                                                 int timescale)
                                                                                                                                                          throws java.lang.Exception

      Get Web Reputation events history data based on WebReputationHistoryWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.